Module java.prefs
Package java.util.prefs

# Interface PreferencesFactory

    public interface PreferencesFactory

A factory object that generates Preferences objects. Providers of new `Preferences` implementations should provide corresponding `PreferencesFactory` implementations so that the new `Preferences` implementation can be installed in place of the platform-specific default implementation.

This class is for `Preferences` implementers only. Normal users of the `Preferences` facility should have no need to consult this documentation.

Since:
  1.4
See Also:
  `Preferences`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Preferences` | `systemRoot()` | Returns the system root preference node.
`Preferences` | `userRoot()` | Returns the user root preference node corresponding to the calling user.

## Method Details

### systemRoot

Preferences systemRoot()
Returns the system root preference node. (Multiple calls on this method will return the same object reference.)

Returns:
  the system root preference node

### userRoot

Preferences userRoot()
Returns the user root preference node corresponding to the calling user. In a server, the returned value will typically depend on some implicit client-context.

Returns:
  the user root preference node corresponding to the calling user